rebuild-spexi7:
	cp -u ../firmware/* spexi7u-ws/main_app/src/
	cp -u ../api/include/wren/*.h spexi7u-ws/main_app/src/wren
	make -C spexi7u-ws/main_app/Release all

spexi7u-boot.bin: force
	bootgen -arch zynqmp -log info -image spexi7u.bif -o $@

rebuild-pcie rebuild-vme_v1 rebuild-vme_v0 rebuild-pxie:
	dir=$(subst rebuild-,,$@); echo $$dir; \
	git describe --dirty --always | \
	 sed -e 's/\(.*\)/#define BUILD_TAG "\1"/' \
	 > ws/$${dir}_app/src/build.h; \
	cp -u ../firmware/common/* ws/$${dir}_app/src/; \
	cp -u ../api/include/wren/* ws/$${dir}_app/src/wren/; \
	cp -u ../firmware/config/$${dir}/* ws/$${dir}_app/src/; \
	cp -u ../hw-include/* ws/$${dir}_app/src/; \
	make -C ws/$${dir}_app/Debug all

wren-vme_v0-boot.bin wren-vme_v1-boot.bin wren-pxie-boot.bin wren-pcie-boot.bin: force
	dir=$(word 2,$(subst -, ,$@)); echo $$dir; \
	make -C ws/$${dir}_app/Release all && \
	bootgen -arch zynqmp -log info -image $(subst -boot.bin,.bif,$@) -w -o $@

import_xsa:
	for plat in pxie vme_v1 vme_v0 pcie; do prj=$$(echo $$plat | tr _ -); cp -u ../../hdl/syn/$${plat}/wren_$${plat}_top.xsa ../../hdl/syn/$${plat}/wren-$${prj}.runs/impl_1/wren_$${plat}_top.bit .; done

clean:
	rm -rf spexi7u-ws spexi7u-boot.bin

force:
